Page MenuHomePhabricator

Projects for outreach programs (FOSS OPW, Google Code-in...)
Closed, ResolvedPublic

Description

The FOSS Outreach Program for Women and hopefully Google Code-in will start soon, and it would be good to have projects create to identify these activities.

How to we organize these projects, though? A proposal:

  • Team type of projects for each program: "FOSS-OPW", "GCi". These are supposed to last over different editions and are useful to group everybody interesting in following this type of activity.
  • Sprint type of projects for specific editions: "OPW-9", "GCi-2014".
  • Regular projects for the accepted projects (not for GCi, where we will list tasks directly under GCi-2014).

Event Timeline

Qgil created this task.Nov 7 2014, 3:48 PM
Qgil claimed this task.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.

@Qgil Why would we make year specific GSOC tags/projects? seems like a rolling tag used from year to year makes more sense?

Qgil added a comment.Nov 8 2014, 8:38 PM

Good question, I haven't made my mind yet. And in any case the point is very diluted right now that we will have in Phabricator only the first round of these programs, and therefore FOSS-OPW == OPW-9. But maybe in the next round we want to identify the tasks that were developed during a specific round? This would allow to provide some metrics specific for each round, compare data...

In the case of OPW now, there is also a special situation where we might need a team restricted to interns and candidates of this round, see T834: Conpherence for FOSS OPW round 9 participants.

Qgil added a subscriber: Aklapper.Nov 9 2014, 10:49 PM

Would probably be a good idea if we define it as "GoogleCode-in tasks that are already listed on Wikimedia's Google Code-in planning page or in Google Melange" to avoid random usage as "potential candidates that have no mentor defined" (that would be pretty much covered by good first bug already IMO).

ok

Google-Code-in-2014 ?

With hashtag GCi-2014, works for me.

But first, any comments to Jared's very valid question about avoiding projects for specific editions?

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Nov 9 2014, 10:51 PM
Aklapper added a comment.EditedNov 10 2014, 4:32 PM

@Qgil Why would we make year specific GSOC tags/projects? seems like a rolling tag used from year to year makes more sense?

Considering Google-Code-in-2014 a "sprint", a year/number later we could go back to see what was being worked on in the last edition. I myself am not entirely convinced we need umbrella projects without years/numbers in their names at all as we can always archive the project for that year when the project is over.

Having a year/number in the project name might reduce potential confusion when taking a look at open tasks in the project "OPW" - is this task proposed for this edition of the program? Or was it created for the last edition of the program and not finished or forgotten to resolve?

Also cf. discussion in T1049.

So #Outreach-Program-for-Women-Round9 and Outreach-Program-For-Women-9 as additional hashtag, to start with?

Qgil added a comment.EditedNov 10 2014, 10:35 PM

I have started with the creation of Outreach-Program-For-Women-9 in order to unblock T834 and have a project available for Wednesday, when the new interns will be announced. It is a sprint project that can only be joined by invitation, because the test of Conpherence is restricted to these members.

I think it would make sense to have also a team project for OPW in general, but we can leave that for later since now team and sprint is basically the same.

I don't think we need to keep this task open for GCi. @Aklapper can just create a sprint project Google-Code-in-2014 if and when Wikimedia is accepted.

Qgil closed this task as Resolved.Nov 10 2014, 10:43 PM
jayvdb added a subscriber: jayvdb.

Pywikibot has one person already doing a microtask for Google Summer of Code 2015. Are we going to be part of it; is there a project for it, etc?

Restricted Application added a subscriber: Unknown Object (MLST). · View Herald TranscriptJan 20 2015, 3:53 AM
Qgil added a comment.Jan 22 2015, 1:52 PM

We will know whether Wikimedia has been accepted to GSoC 2015 by February 20. For updates and questions, please go to T921: Apply to GSoC 2015 and FOSS OPW round 10